Anonymous Login
2019-07-16 03:51 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000932Pending RequestsCore Infrastructurepublic2014-08-15 14:50
Reporterdte 
Assigned Tocaseydk 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionunable to reproduce 
Product Version 
Target VersionFixed in Version 
Summary0000932: Binding LDAP with a null DN string
DescriptionThere is no way to configure a null DN binding string.

Code 2.4 LDAP.class.php does not consider that case.
No way (?) to set it in "Full LDAP Connect String" field
TagsNo tags attached.
Attached Files

-Relationships
related to 0000947closedcaseydk v3.0 Release LDAP authentication fails if the BINDDN is given as a complete DN 
+Relationships

-Notes

~0002165

caseydk (administrator)


So what is the scenario that would require null?

~0002171

dte (reporter)

Last edited: 2011-09-13 02:41

By null, I meant empty string DN.

This is the way to bind to my current LDAP server as anonymous
and was set until 2.2 with:

$ldap_bind_dn = empty($this->ldap_search_user) ? null : $this->ldap_search_user;
(i didn't set ldap_search_user, so empty string considered here)


Suggestion: let us play the same with the new dedicated field:

$ldap_bind_dn = empty($this->ldap_complete_string) ? null : $this->ldap_complete_string;


bind DN should be exactly set to ldap_complete_string, even empty...

Refer also to bug http://bugs.web2project.net/view.php?id=947

~0002369

caseydk (administrator)

I'm going to apply this as a patch on top of v3.0. I don't have confidence that it has been tested enough to bring it to core yet.

~0003067

caseydk (administrator)

Has anyone tried this recently? I don't have an LDAP server to test any of this against..

~0003225

caseydk (administrator)

*bump*

I need someone who can test this and/or review the results. I don't have an LDAP server to test against.

~0003594

caseydk (administrator)

Closing this as it's been almost three years without an update and I don't have the infrastructure to test/develop it.
+Notes

-Issue History
Date Modified Username Field Change
2011-08-25 04:33 dte New Issue
2011-08-28 20:17 caseydk Note Added: 0002165
2011-08-28 20:17 caseydk Status new => feedback
2011-08-29 00:01 dte Note Added: 0002171
2011-08-29 00:31 dte Note Edited: 0002171
2011-09-11 20:10 caseydk Relationship added related to 0000947
2011-09-13 02:33 dte Note Edited: 0002171
2011-09-13 02:36 dte Note Edited: 0002171
2011-09-13 02:36 dte Note Edited: 0002171
2011-09-13 02:37 dte Note Edited: 0002171
2011-09-13 02:37 dte Note Edited: 0002171
2011-09-13 02:40 dte Note Edited: 0002171
2011-09-13 02:41 dte Note Edited: 0002171
2011-09-27 23:18 caseydk Project v2.4 Release (Closed) => v3.0 Release
2011-12-27 23:09 caseydk Note Added: 0002369
2011-12-27 23:10 caseydk Project v3.0 Release => v3.1 Release
2013-11-22 20:37 caseydk Note Added: 0003067
2013-11-27 20:40 caseydk Project v3.1 Release => v3.2 Release
2014-01-21 17:58 caseydk Target Version => 3.2
2014-01-25 00:42 caseydk Category General => Core Infrastructure
2014-01-26 15:50 caseydk Note Added: 0003225
2014-02-07 21:50 caseydk Project v3.2 Release => Pending Requests
2014-02-07 21:50 caseydk Category Core Infrastructure => General
2014-04-05 17:28 caseydk Category General => Core Infrastructure
2014-04-05 17:28 caseydk Product Version 2.4 =>
2014-04-05 17:28 caseydk Target Version 3.2 =>
2014-08-15 14:50 caseydk Note Added: 0003594
2014-08-15 14:50 caseydk Status feedback => closed
2014-08-15 14:50 caseydk Assigned To => caseydk
2014-08-15 14:50 caseydk Resolution open => unable to reproduce
+Issue History